Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1111202 - typo in roles list maniputlate_host/manipulate_host
Summary: typo in roles list maniputlate_host/manipulate_host
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Oved Ourfali
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-19 13:02 UTC by Ohad Basan
Modified: 2016-02-10 19:36 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.5.0-beta2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:10:13 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 24136 None None None Never

Description Ohad Basan 2014-06-19 13:02:19 UTC
Description of problem:
There is a typo in the permission list on 3.5
instead of manipulate it says maniputlate

can be clearly seen from the automation output

2014-06-09 23:17:26,597 - MainThread - roles - ERROR - Permit 'maniputlate_host' doesn't appear in permission list: ['create_vm', 'delete_vm', 'edit_vm_properties', 'vm_basic_operations', 'change_vm_cd', 'migrate_vm', 'connect_to_vm', 'import_export_vm', 'configure_vm_network', 'configure_vm_storage', 'move_vm', 'manipulate_vm_snapshots', 'create_host', 'edit_host_configuration', 'delete_host', 'manipulate_host', 'configure_host_network', 'create_template', 'edit_template_properties', 'delete_template', 'copy_template', 'configure_template_network', 'create_vm_pool', 'edit_vm_pool_configuration', 'delete_vm_pool', 'vm_pool_basic_operations', 'create_cluster', 'edit_cluster_configuration', 'delete_cluster', 'configure_cluster_network', 'manipulate_users', 'manipulate_roles', 'manipulate_permissions', 'create_storage_domain', 'edit_storage_domain_configuration', 'delete_storage_domain', 'manipulate_storage_domain', 'create_storage_pool', 'delete_storage_pool', 'edit_storage_pool_configuration', 'configure_storage_pool_network', 'configure_rhevm', 'configure_quota', 'consume_quota', 'create_gluster_volume', 'manipulate_gluster_volume', 'delete_gluster_volume', 'create_disk', 'attach_disk', 'edit_disk_properties', 'configure_disk_storage', 'delete_disk', 'reconnect_to_vm', 'change_vm_custom_properties', 'login', 'inject_external_events', 'create_storage_pool_network', 'delete_storage_pool_network', 'assign_cluster_network', 'edit_admin_vm_properties', 'edit_admin_template_properties', 'configure_scsi_generic_io', 'inject_external_tasks', 'configure_network_vnic_profile', 'create_network_vnic_profile', 'delete_network_vnic_profile', 'access_image_storage', 'create_instance', 'tag_management', 'bookmark_management', 'event_notification_management', 'manipulate_affinity_groups', 'add_users_and_groups_from_directory', 'audit_log_management']

Comment 1 Oved Ourfali 2014-07-15 12:53:00 UTC
Fixed by Tal a while ago.

Comment 3 Petr Beňas 2014-10-22 12:30:28 UTC
in vt6

Comment 6 Eyal Edri 2015-02-17 17:10:13 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.